# @configure_input@

PACKAGE = @PACKAGE@
MAJOR   = @MAJOR@
MINOR   = @MINOR@
PATCH   = @PATCH@
VERSION = @VERSION@

#############################################
# Directories

TOPDIR       = @TOPDIR@
TOPSRCDIR    = @TOPSRCDIR@
CONFIGDIR    = $(TOPDIR)/config
CONFIGSRCDIR = $(TOPSRCDIR)/config
FRAGDIR      = $(CONFIGSRCDIR)
prefix	     = @prefix@
exec_prefix  = @exec_prefix@
bindir	     = @bindir@
datadir	     = @datadir@
localedir    = $(datadir)/locale

# gettext uses this
top_builddir = $(TOPDIR)

############################################
# Programs

@SET_MAKE@
SHELL	= @SHELL@
CC	= @CC@
TAR	= tar
MAKELIB	= ar rcs
MD5SUM	= @MD5SUM@
MAKEDEP = $(CC) -MM -MG
INSTALL	= @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_DATA = @INSTALL_DATA@
MKINSTALLDIRS = $(SHELL) $(CONFIGSRCDIR)/mkinstalldirs

############################################
# Compiler options

# Compiler options
CFLAGS	= @CFLAGS@
LDFLAGS	= @LDFLAGS@
DEFS	= @DEFS@
CPPFLAGS= @CPPFLAGS@

# Default flags for dependencies
DEPCFLAGS = $(CFLAGS) $(CPPFLAGS)

# Out `support' library
SUPPORTLIB = @SUPPORTLIB@
SUPPORTHDR = @SUPPORTHDR@

# Options to compile kpathsea sources
KPSE_CFLAGS = @KPATHSEA_CFLAGS@
# Options to link against the kpathsea library
KPSE_LIBS = @KPATHSEA_LDFLAGS@ @KPATHSEA_LIBS@

# Options to compile t1lib sources
T1LIB_CFLAGS = @T1LIB_CFLAGS@
T1LIB_LIBS = @T1LIB_LDFLAGS@ @T1LIB_LIBS@

# Options to compile FreeType sources
FREETYPE_CFLAGS = @FREETYPE_CFLAGS@
FREETYPE_LIBS = @FREETYPE_LDFLAGS@ @FREETYPE_LIBS@

# Options to compile X sources
X_CFLAGS = @X_CFLAGS@
# Options to link against the X libraries
X_LIBS = @X_LIBS@ @X11LIB@ @X_EXTRA_LIBS@

# Options for i18n
INTLDEPS = @INTLDEPS@
INTLLIBS = @INTLLIBS@
INTLCFLAGS_yes = -I$(top_builddir)/intl

# Libraries we need
LIBS = @LIBS@

# Additional compiler flags
ADDCFLAGS = $(INTLCFLAGS_@USE_INCLUDED_LIBINTL@) $(SUPPORTHDR)

# Additional libraries
ADDLIBS = $(INTLLIBS) $(SUPPORTLIB)
